Willkommen, Gast
Benutzername: Passwort: Angemeldet bleiben:
  • Seite:
  • 1

THEMA:

Bedarfsanforderung drucken Fehler 5 Jahre 10 Monate her #491

  • pt_it
  • pt_its Avatar Autor
  • Besucher
  • Besucher
Hallo,

ich möchte gerne in OpenZ eine Bedarfsanforderung drucken und hatte dann den Fehler das OpenZ es in einem Ordner /home/openz/attachments abspeichern wollte, dieser aber jedoch nur unter /home/zisoft/openz/attachments existiert. Diesen konnte ich soweit lösen, dass ich einen Ordner und passende Berechtigung erstellt habe. Nun wird das PDF erstellt und es kommt folgender Fehler:

HTTP Status 404 - /utility/DownloadReport.html

type Status report

message /utility/DownloadReport.html

description The requested resource (/utility/DownloadReport.html) is not available.

Apache Tomcat/7.0.28

Was kann ich zur Problemlösung ausprobieren?

Version: 2.6.86.347

Editiert von pt_it - 04.09.2014 11:56

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Letzte Änderung: von .

Re: Bedarfsanforderung drucken Fehler 5 Jahre 10 Monate her #493

  • s Avatar
  • Besucher
  • Besucher
Hallo pt_it,

leider konnte ich den Fehler auch bei aktuellen Versionen feststellen.
Ich werde ein Ticket dazu erstellen um diesen Fehler zu lösen.
Sobald dieses Problem gelöst ist werde ich Sie dann an dieser Stelle über die Änderungen informieren.

Vielen Dank für die Informationen.

Beste Grüße
Danny Heuduk

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Re: Bedarfsanforderung drucken Fehler 5 Jahre 9 Monate her #502

  • pt_it
  • pt_its Avatar Autor
  • Besucher
  • Besucher
Gibt es hierzu schon neue Erkenntnisse?

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Re: Bedarfsanforderung drucken Fehler 5 Jahre 9 Monate her #504

  • s Avatar
  • Besucher
  • Besucher
Hallo pt_it,

ja neue Erkenntnisse haben sich schon gegeben, insofern, dass die Bedarfsanforderungen wie gewünscht auf dem Server erstellt werden.
Allerdings Verhält sich der Zugriff auf die erstellte BAnf anders, was zu dem Fehler führt.
Leider konnten wir es bisher noch nicht in die kommende Version einplanen.

Sobald die Korrektur eingeplant wurde, melde ich mich hier erneut.

Mit freundlichen Grüßen
Danny Heuduk

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Re: Bedarfsanforderung drucken Fehler 4 Jahre 2 Monate her #844

  • ferroxon1000
  • ferroxon1000s Avatar
  • Besucher
  • Besucher
Ein externer Agent (ohen direkten Zugang zu OpenZ) soll mit der Beschaffung von Waren beauftragt werden. Dazu gehört auch die Auswahl des Liefernaten. Eine 'BANF' erstellen, per e-mail versenden (ggf. mit weiteren Infos im Attachment...) wäre schick: Man könnte daraus sehr flexibel eine (zwei, drei,...) Bestellung(en) erzeugen.
Leider ist der passende JasperReport-Eintrag wohl gelöscht worden bzw. gar nicht mehr in OpenZ enthalten. Funtioniert die Druckfuntion noch? Mit e-mails? Gibt eventuell einen Basis-JRXML, den wir anapassen könnten? Das wäre schön! :whistle:

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Re: Bedarfsanforderung drucken Fehler 4 Jahre 2 Monate her #845

  • danny
  • dannys Avatar
  • Offline
  • Expert Boarder
  • Expert Boarder
  • Beiträge: 102
  • Karma: 2
  • Dank erhalten: 13
Hallo Ferroxon,

der ursprüngliche Report wurde tatsächlich entfernt. In der neuen Version, wurden die Sourcen allerdings in neuerer Form wieder mit aufgenommen. Eine E-Mail Funktion gibt es an dieser Stelle noch nicht. Kann aber beauftragt werden.

Im Anhang, dass neue Basis jrxml
Ich hoffe ich konnte helfen und freue mich an dieser Stelle auch über Contributions. ;)

Ich hoffe ich konnte helfen.

Dateianhang:

Dateiname: Requisitio...orts.zip
Dateigröße:6 KB
Anhänge:
Folgende Benutzer bedankten sich: ferroxon1000

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Re: Bedarfsanforderung drucken Fehler 4 Jahre 2 Monate her #846

  • ferroxon1000
  • ferroxon1000s Avatar
  • Besucher
  • Besucher
Prima, das sieht doch richtig gut aus! Und es zeigt, daß in der nächsten OpenZ-Version (in der der Report eingebaut sein wird) ;) die neue JasperReports-Engine verwenden wird: iReport 4.0.2 weigert sich, aber mit JasperStudio 6.0.1 kann man ihn sich schon mal anschauen. :)
Vielen Dank für den Vorab-Einblick!

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Re: Bedarfsanforderung drucken Fehler 4 Jahre 2 Monate her #847

  • danny
  • dannys Avatar
  • Offline
  • Expert Boarder
  • Expert Boarder
  • Beiträge: 102
  • Karma: 2
  • Dank erhalten: 13
Hallo Ferroxon,
ja, diese Information habe ich leider vergessen mitzugeben... Ich persönlich nutze Jaspersoft Studio 6.2.
Dies ist genau der Grund, warum iReport 4.02 sich weigert den Report zu öffnen.
Ich hoffe trotzdem, ich konnte helfen.

Beste Grüße
Danny Heuduk
Folgende Benutzer bedankten sich: ferroxon1000

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

  • Seite:
  • 1
Ladezeit der Seite: 0.041 Sekunden